package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Used license
 */
@ApiModel(description = "Used license")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LicenseOthersIdsOpenApiVo   {
  @JsonProperty("basic")
  private LicenseCategoryOtherIdsOpenApiVo basic;

  @JsonProperty("ap")
  private LicenseCategoryOtherIdsOpenApiVo ap;

  @JsonProperty("l2Switch")
  private LicenseCategoryOtherIdsOpenApiVo l2Switch;

  @JsonProperty("l3Switch")
  private LicenseCategoryOtherIdsOpenApiVo l3Switch;

  @JsonProperty("gateway")
  private LicenseCategoryOtherIdsOpenApiVo gateway;

  public LicenseOthersIdsOpenApiVo basic(LicenseCategoryOtherIdsOpenApiVo basic) {
    this.basic = basic;
    return this;
  }

  /**
   * Get basic
   * @return basic
  */
  @ApiModelProperty(value = "")

  @Valid

  public LicenseCategoryOtherIdsOpenApiVo getBasic() {
    return basic;
  }

  public void setBasic(LicenseCategoryOtherIdsOpenApiVo basic) {
    this.basic = basic;
  }

  public LicenseOthersIdsOpenApiVo ap(LicenseCategoryOtherIdsOpenApiVo ap) {
    this.ap = ap;
    return this;
  }

  /**
   * Get ap
   * @return ap
  */
  @ApiModelProperty(value = "")

  @Valid

  public LicenseCategoryOtherIdsOpenApiVo getAp() {
    return ap;
  }

  public void setAp(LicenseCategoryOtherIdsOpenApiVo ap) {
    this.ap = ap;
  }

  public LicenseOthersIdsOpenApiVo l2Switch(LicenseCategoryOtherIdsOpenApiVo l2Switch) {
    this.l2Switch = l2Switch;
    return this;
  }

  /**
   * Get l2Switch
   * @return l2Switch
  */
  @ApiModelProperty(value = "")

  @Valid

  public LicenseCategoryOtherIdsOpenApiVo getL2Switch() {
    return l2Switch;
  }

  public void setL2Switch(LicenseCategoryOtherIdsOpenApiVo l2Switch) {
    this.l2Switch = l2Switch;
  }

  public LicenseOthersIdsOpenApiVo l3Switch(LicenseCategoryOtherIdsOpenApiVo l3Switch) {
    this.l3Switch = l3Switch;
    return this;
  }

  /**
   * Get l3Switch
   * @return l3Switch
  */
  @ApiModelProperty(value = "")

  @Valid

  public LicenseCategoryOtherIdsOpenApiVo getL3Switch() {
    return l3Switch;
  }

  public void setL3Switch(LicenseCategoryOtherIdsOpenApiVo l3Switch) {
    this.l3Switch = l3Switch;
  }

  public LicenseOthersIdsOpenApiVo gateway(LicenseCategoryOtherIdsOpenApiVo gateway) {
    this.gateway = gateway;
    return this;
  }

  /**
   * Get gateway
   * @return gateway
  */
  @ApiModelProperty(value = "")

  @Valid

  public LicenseCategoryOtherIdsOpenApiVo getGateway() {
    return gateway;
  }

  public void setGateway(LicenseCategoryOtherIdsOpenApiVo gateway) {
    this.gateway = gateway;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LicenseOthersIdsOpenApiVo licenseOthersIdsOpenApiVo = (LicenseOthersIdsOpenApiVo) o;
    return Objects.equals(this.basic, licenseOthersIdsOpenApiVo.basic) &&
        Objects.equals(this.ap, licenseOthersIdsOpenApiVo.ap) &&
        Objects.equals(this.l2Switch, licenseOthersIdsOpenApiVo.l2Switch) &&
        Objects.equals(this.l3Switch, licenseOthersIdsOpenApiVo.l3Switch) &&
        Objects.equals(this.gateway, licenseOthersIdsOpenApiVo.gateway);
  }

  @Override
  public int hashCode() {
    return Objects.hash(basic, ap, l2Switch, l3Switch, gateway);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LicenseOthersIdsOpenApiVo {\n");
    
    sb.append("    basic: ").append(toIndentedString(basic)).append("\n");
    sb.append("    ap: ").append(toIndentedString(ap)).append("\n");
    sb.append("    l2Switch: ").append(toIndentedString(l2Switch)).append("\n");
    sb.append("    l3Switch: ").append(toIndentedString(l3Switch)).append("\n");
    sb.append("    gateway: ").append(toIndentedString(gateway)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

